package com.yihu.hos.standard.controller;

import com.yihu.hos.web.framework.util.controller.BaseController;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * Created by LLH on 2016/1/6.
 */
@Controller
@RequestMapping("/adapterPlan")
public class AdapterPlanController extends BaseController {

    @RequestMapping("initial")
    public String cdaTypeInitial(Model model) {

        model.addAttribute("contentPage", "standard/adapterplan/index");
        return "partView";
    }

    @RequestMapping("adapterUpdate")
    public String adapterUpdate(Model model) {

        model.addAttribute("contentPage", "standard/adapterplan/adapterDetail");
        return "pageView";
    }

    @RequestMapping("versionUpdate")
    public String versionUpdate(Model model) {

        model.addAttribute("contentPage", "standard/adapterplan/versionDetail");
        return "pageView";
    }

    @RequestMapping("adapterCustomize")
    public String adapterCustomize(Model model) {

        model.addAttribute("contentPage", "standard/adapterplan/adapterCustomize");
        return "pageView";
    }

    @RequestMapping("configuration")
    public String configuration(Model model,String version,String status,String schemeId,String stdVersion,String adapterStdVersion,String name) {
        model.addAttribute("contentPage", "standard/adapterplan/configuration");
        model.addAttribute("version",version);
        model.addAttribute("schemeId", schemeId);
        model.addAttribute("status",status);
        model.addAttribute("stdVersion",stdVersion);
        model.addAttribute("name",name);
        model.addAttribute("adapterStdVersion",adapterStdVersion);
        return "partView";
    }
}
